"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Filter out all falsey values. The values `false`, `null`, `0`, `""`, `undefined`, and `NaN` are falsey.
 * @param items the array to compact
 * @signature
 *    R.compact(array)
 * @example
 *    R.compact([0, 1, false, 2, '', 3]) // => [1, 2, 3]
 * @category Array
 * @pipeable
 */
function compact(items) {
    return items.filter(function (x) { return !!x; });
}
exports.compact = compact;
