/**
 * Returns a list of elements that exist in both array.
 * @param array the source array
 * @param other the second array
 * @signature
 *    R.intersection(array, other)
 * @example
 *    R.intersection([1, 2, 3], [2, 3, 5]) // => [2, 3]
 * @data_first
 * @category Array
 * @pipeable
 */
export declare function intersection<T>(source: T[], other: T[]): T[];
/**
 * Returns a list of elements that exist in both array.
 * @param array the source array
 * @param other the second array
 * @signature
 *    R.intersection(other)(array)
 * @example
 *    R.intersection([2, 3, 5])([1, 2, 3]) // => [2, 3]
 * @data_last
 * @category Array
 * @pipeable
 */
export declare function intersection<T>(other: T[]): (source: T[]) => T[];
export declare namespace intersection {
    function lazy<T>(other: T[]): (value: T) => {
        done: boolean;
        hasNext: boolean;
        next: T;
    } | {
        done: boolean;
        hasNext: boolean;
        next?: undefined;
    };
}
//# sourceMappingURL=intersection.d.ts.map