/**
 * Merges a list of objects into a single object.
 * @param array the array of objects
 * @signature
 *    R.mergeAll(objects)
 * @example
 *    R.mergeAll([{ a: 1, b: 1 }, { b: 2, c: 3 }, { d: 10 }]) // => { a: 1, b: 2, c: 3, d: 10 }
 * @category Array
 */
export declare function mergeAll<A>(array: [A]): A;
export declare function mergeAll<A, B>(array: [A, B]): A & B;
export declare function mergeAll<A, B, C>(array: [A, B, C]): A & B & C;
export declare function mergeAll<A, B, C, D>(array: [A, B, C, D]): A & B & C & D;
export declare function mergeAll<A, B, C, D, E>(array: [A, B, C, D, E]): A & B & C & D & E;
//# sourceMappingURL=mergeAll.d.ts.map